<header class="m-dialog__header">
  <h1 class="m-dialog__header__title">Ik ben later vandaag</h1>
  <button class="m-dialog__header__close" (click)="onDecline()">
    <mat-icon>close</mat-icon>
  </button>
</header>
<div class="m-dialog__content">
  <p>Wanneer ben je thuis?</p>
  <form [formGroup]="amLaterForm" (submit)="onSubmitAmLater(amLaterForm)">
    <div class="m-form-group">
      <input
        type="checkbox"
        id="dont-know-later"
        class="a-form-control-checkbox"
        formControlName="dontKnowLater"
      />
      <label for="dont-know-later" class="m-form-group__label -inline">
        Ik weet het niet
      </label>
    </div>
    <div class="a-form-set" *ngIf="!dontKnowLaterControl.value">
      <p>
        Ik ben thuis over
      </p>
      <div class="m-form-group -inline">
        <button
          type="button"
          class="a-button -square -white -no-shadow"
          (click)="onDecreaseHours()"
          [disabled]="laterHoursControl.value < 0.5"
        >
          <span class="a-button__icon">
            <mat-icon>remove</mat-icon>
          </span>
        </button>
        <input
          type="number"
          step="0.5"
          min="0"
          max="12"
          class="a-form-control -inline -white"
          formControlName="laterHours"
        />
        <button
          type="button"
          class="a-button -square -white -no-shadow"
          (click)="onIncreaseHours()"
          [disabled]="laterHoursControl.value > 11.5"
        >
          <span class="a-button__icon">
            <mat-icon>add</mat-icon>
          </span>
        </button>
        <ul class="m-form-group__messages">
          <li
            class="m-form-group__message -error"
            *ngIf="
              laterHoursControl.hasError('min') ||
              laterHoursControl.hasError('max')
            "
          >
            <span><mat-icon>error</mat-icon></span> Waarde moet tussen 0 en 12
            zijn.
          </li>
        </ul>
      </div>
      <p class="no-margin">
        {{ laterHoursControl.value === 1 ? "uur" : "uren" }}.
      </p>
    </div>
  </form>
</div>
<div class="a-double-action">
  <div class="a-double-action__actions">
    <button class="a-button -white" (click)="onDecline()">
      Annuleren
    </button>
    <button
      class="a-button"
      [ngClass]="'-' + theme"
      (click)="onSubmitAmLater(amLaterForm)"
      [disabled]="!amLaterForm.valid"
    >
      OK
    </button>
  </div>
</div>
